Package Details: lib32-libtiger 0.3.4-4

Git Clone URL: https://aur.archlinux.org/lib32-libtiger.git (read-only, click to copy)
Package Base: lib32-libtiger
Description: A rendering library for Kate streams using Pango and Cairo (32-bit)
Upstream URL: https://code.google.com/archive/p/libtiger/
Licenses: LGPL
Submitter: orumin
Maintainer: rodrigo21
Last Packager: rodrigo21
Votes: 4
Popularity: 0.000001
First Submitted: 2016-06-06 08:13
Last Updated: 2020-05-26 22:56

Latest Comments

svinto commented on 2020-05-23 00:56

It seems like git.xiph.org doesn't exist anymore. But the source can still be found at: https://code.google.com/archive/p/libtiger/downloads

Though autogen.sh isn't included for some reason. autogen.sh can be found at: https://sourceforge.net/projects/buildconf/

I managed to get the PKGBUILD working with the following changes:

-source=("$_basename::git+git://git.xiph.org/users/oggk/tiger.git#tag=tiger-$pkgver"
+source=("https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/libtiger/libtiger-0.3.4.tar.gz"
+        "https://downloads.sourceforge.net/project/buildconf/autogen/2009.12.23/buildconf.2009.12.23.tar.gz"
         "0001-Fix-automake.patch")
 sha256sums=('SKIP'
+            'SKIP'
             'fa257ad2dfceb6709633e6515bbbe04b8dad5bcb3c9226c7b5d2b3871336b6f4')

 prepare() {
-    cd $_basename
+    cd $_basename-$pkgver
+    mv ../buildconf/autogen.sh .

 build() {
-    cd $_basename
+    cd $_basename-$pkgver

 package() {
-    cd $_basename
+    cd $_basename-$pkgver

carstene1ns commented on 2017-08-13 21:19

You can remove pkg-config from makedepends, it is part of base-devel group, which is expected to be installed.
32 bit libraries should depend on their 64 bit counterparts.
Please add depends=('libtiger'), lib32-gst-plugins-bad does not compile without it.